Quassel IRC - Bug #821

Hovering a multline topic resizes widget below
10/08/2009 10:20 PM - bjorninge

Status: Resolved Start date: 10/08/2009
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.9.0 0S: Any
Description

When hovering over a long topic, quassle expands that topic to multile lines. This makes the widget below the topic (which is
chatmon, or the chat view if chatmon is disabled) resize, and in the process that widget will be automatically scrolled to the bottom.

Associated revisions

Revision 777799ec - 07/28/2014 03:55 PM - seezer

Don't scroll to bottom on resize

We're brave today..

Resizing the chatview (even unintentionally by hovering the topicline)
resulted in scrolling down the current view.

There might have been reasons.. i can't see them..

Fixes #821

Revision 7bfe3185 - 07/28/2014 03:56 PM - al

Merge pull request #77 from seezer/bug821

Don't scroll to bottom unexpectedly.

Fixes #821

History

#1 - 12/23/2013 10:42 PM - Anonymous
- Status changed from New to Confirmed

- Version changed from 0.5-pre to 0.9.0

Unfortunately this is due to the way Qt deals with dock widgets resizing and the chatscene not taking kindly to being resized.

#2 - 07/28/2014 04:04 PM - seezer
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:777799ecd614503b20c0fc9d31223556ecc6078b.

#3 - 02/11/2024 03:19 AM - tatsh

| am getting this issue in version 0.14.0 on Linux (with latest Plasma). Has there been a regression?

Window rules have no effect on the resizing, where they should prevent it or force a resize upon seeing the window size change.
Steps to reproduce:

1. Enable Main toolbar
2. Hover over multili-line topic
